Bug 170927 - libattr.a cannot be linked to anything with libtool
libattr.a cannot be linked to anything with libtool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: attr (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-15 16:26 EDT by Krzysio (Chris) Leszczynski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 11:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2005-10-15 16:26:59 EDT
Description of problem:

libtool replaces -all-static -lattr with /lib/libattr.a while libattr.a is in
/usr/lib/


Version-Release number of selected component (if applicable):
libattr-devel-2.4.16-5
libtool-1.5.16.multilib2-2

How reproducible:
Always

Steps to Reproduce:
1. create a trivial program, for instance
   echo "int main(void){return 0;}" > trivial.c

2. Compile it
   gcc -c trivial.c

3. Link it with libattr using libtool
   libtool --mode=link gcc -o trivial trivial.o -all-static -lattr

Actual results:
Libtool calls:
   gcc -o trivial trivial.o -static  /lib/libattr.a

Expected results:
Libtool should call
   gcc -o trivial trivial.o -static  /usr/lib/libattr.a

Additional info:
I think /usr/lib/libattr.la contains incorrect entry libdir=/lib
Comment 1 Allen Winter 2005-12-02 10:01:26 EST
and I think a similar problem is happening with libacl. 
 
please consider fixing this soon.  I am a KDE developer and I am having 
a hard time building code for the new KDE4 on FC4. 
 
(In reply to comment #0) 
> Description of problem: 
>  
> libtool replaces -all-static -lattr with /lib/libattr.a while libattr.a is 
in 
> /usr/lib/ 
>  
>  
> Version-Release number of selected component (if applicable): 
> libattr-devel-2.4.16-5 
> libtool-1.5.16.multilib2-2 
>  
> How reproducible: 
> Always 
>  
> Steps to Reproduce: 
> 1. create a trivial program, for instance 
>    echo "int main(void){return 0;}" > trivial.c 
>  
> 2. Compile it 
>    gcc -c trivial.c 
>  
> 3. Link it with libattr using libtool 
>    libtool --mode=link gcc -o trivial trivial.o -all-static -lattr 
>  
> Actual results: 
> Libtool calls: 
>    gcc -o trivial trivial.o -static  /lib/libattr.a 
>  
> Expected results: 
> Libtool should call 
>    gcc -o trivial trivial.o -static  /usr/lib/libattr.a 
>  
> Additional info: 
> I think /usr/lib/libattr.la contains incorrect entry libdir=/lib 
 
 
Comment 2 Fedora Update System 2005-12-06 12:44:06 EST
From User-Agent: XML-RPC

attr-2.4.24-1.FC4.1 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.